<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Gallery v2.0
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: class_ban.inc.php
  Description: Ban Options Class
  New in v2.0

  ++++++++++++++++++++++++++++++++++++++++*/


class banOption extends genericOptions {

var $prefix;

// Add address..
function add($DATA)
{
  mysql_query("INSERT INTO ".$this->prefix."banned (address) VALUES ('".$this->safe_import($DATA['data'])."')") or die(mysql_error());
}

// Remove selected..
function delete($DATA)
{
  mysql_query("DELETE FROM ".$this->prefix."banned WHERE id IN(".implode(",",$DATA['ban']).")") or die(mysql_error());
}

// Remove all..
function clear()
{
  mysql_query("TRUNCATE TABLE ".$this->prefix."banned") or die(mysql_error());
}

}

?>
